Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class PageBasedContent

    java.lang.Object
      net.sourceforge.pebble.domain.Content
          net.sourceforge.pebble.domain.PageBasedContent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Permalinkable

Direct Known Subclasses:
  BlogEntry, StaticPage

    public abstract class PageBasedContent

extends Content

The superclass for blog entries and pages.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AUTHOR_PROPERTY`
`static java.lang.String` | `BODY_PROPERTY`
`static java.lang.String` | `DATE_PROPERTY`
`static java.lang.String` | `ORIGINAL_PERMALINK_PROPERTY`
`static java.lang.String` | `SUBTITLE_PROPERTY`
`static java.lang.String` | `TITLE_PROPERTY`

Fields inherited from class net.sourceforge.pebble.domain.Content
`propertyChangeSupport`

Constructor Summary
`PageBasedContent(Blog blog)` Creates a new blog entry.

Method Summary
`java.lang.String` | `getAuthor()` Gets the author of this blog entry.
`Blog` | `getBlog()` Helper method to get the owning Blog instance.
`java.lang.String` | `getBody()` Gets the body of this blog entry.
`java.lang.String` | `getContent()` Gets the content of this response.
`java.util.Date` | `getDate()` Gets the date that this blog entry was created.
`java.lang.String` | `getId()` Gets the unique id of this blog entry.
`java.util.Date` | `getLastModified()` Gets the date that this blog entry was last updated.
`abstract java.lang.String` | `getLocalPermalink()` Gets a permalink for this blog entry that is local to the blog.
`java.lang.String` | `getOriginalPermalink()` Gets the alternative permalink for this blog entry.
`java.lang.String` | `getPermalink()` Gets a permalink for this blog entry.
`java.lang.String` | `getSubtitle()` Gets the subtitle of this blog entry.
`java.lang.String` | `getTitle()` Gets the title of this blog entry.
`PebbleUserDetails` | `getUser()` Gets full user details about the author including name, email-address, etc.
`boolean` | `isAggregated()` Determines whether this blog entry has been aggregated from another source.
`boolean` | `isPersistent()`
`boolean` | `isPublished()` Determines whether this content is published.
`boolean` | `isUnpublished()` Determines whether this content is unpublished.
`void` | `setAuthor(java.lang.String newAuthor)` Sets the author of this blog entry.
`void` | `setBody(java.lang.String newBody)` Sets the body of this blog entry.
`void` | `setDate(java.util.Date newDate)` Sets the date that this blog entry was created.
`void` | `setOriginalPermalink(java.lang.String newPermalink)` Sets the alternative permalink for this blog entry.
`void` | `setPersistent(boolean persistent)`
`void` | `setPublished(boolean published)` Sets the state of this content.
`void` | `setSubtitle(java.lang.String newSubtitle)` Sets the subtitle of this blog entry.
`void` | `setTitle(java.lang.String newTitle)` Sets the title of this blog entry.
`java.lang.String` | `toString()` Gets a string representation of this object.

Methods inherited from class net.sourceforge.pebble.domain.Content
`clearPropertyChangeEvents, getEvents, getPropertyChangeEvents, getState, getTruncatedContent, hasEvents, isDirty, nextEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TITLE_PROPERTY

    public static final java.lang.String TITLE_PROPERTY

See Also:
  Constant Field Values

### SUBTITLE_PROPERTY

    public static final java.lang.String SUBTITLE_PROPERTY

See Also:
  Constant Field Values

### BODY_PROPERTY

    public static final java.lang.String BODY_PROPERTY

See Also:
  Constant Field Values

### AUTHOR_PROPERTY

    public static final java.lang.String AUTHOR_PROPERTY

See Also:
  Constant Field Values

### DATE_PROPERTY

    public static final java.lang.String DATE_PROPERTY

See Also:
  Constant Field Values

### ORIGINAL_PERMALINK_PROPERTY

    public static final java.lang.String ORIGINAL_PERMALINK_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### PageBasedContent

    public PageBasedContent(Blog blog)

  Creates a new blog entry.

  Parameters:
    `blog` - the owning Blog

Method Detail

### getId

    public java.lang.String getId()

  Gets the unique id of this blog entry.

  Returns:
    the id as a String

### getTitle

    public java.lang.String getTitle()

  Gets the title of this blog entry.

  Returns:
    the title as a String

### setTitle

    public void setTitle(java.lang.String newTitle)

  Sets the title of this blog entry.

  Parameters:
    `newTitle` - the title as a String

### getSubtitle

    public java.lang.String getSubtitle()

  Gets the subtitle of this blog entry.

  Returns:
    the subtitle as a String

### setSubtitle

    public void setSubtitle(java.lang.String newSubtitle)

  Sets the subtitle of this blog entry.

  Parameters:
    `newSubtitle` - the subtitle as a String

### getBody

    public java.lang.String getBody()

  Gets the body of this blog entry.

  Returns:
    the body as a String

### getContent

    public java.lang.String getContent()

  Gets the content of this response.

  Specified by:
    `getContent` in class `Content`
  Returns:
    a String

### setBody

    public void setBody(java.lang.String newBody)

  Sets the body of this blog entry.

  Parameters:
    `newBody` - the body as a String

### getDate

    public java.util.Date getDate()

  Gets the date that this blog entry was created.

  Returns:
    a java.util.Date instance

### getLastModified

    public java.util.Date getLastModified()

  Gets the date that this blog entry was last updated.

  Returns:
    a Date instance representing the time of the last comment/TrackBack

### setDate

    public void setDate(java.util.Date newDate)

  Sets the date that this blog entry was created.

  Parameters:
    `newDate` - a java.util.Date instance

### getAuthor

    public java.lang.String getAuthor()

  Gets the author of this blog entry.

  Returns:
    the author as a String

### getUser

    public PebbleUserDetails getUser()

  Gets full user details about the author including name, email-address, etc.

  Returns:
    a PebbleUserDetails instance

### setAuthor

    public void setAuthor(java.lang.String newAuthor)

  Sets the author of this blog entry.

  Parameters:
    `newAuthor` - the author as a String

### isAggregated

    public boolean isAggregated()

  Determines whether this blog entry has been aggregated from another source. An aggregated blog entry will have a specified permalink.

  Returns:
    true if this blog entry has been aggegrated, false otherwise

### getOriginalPermalink

    public java.lang.String getOriginalPermalink()

  Gets the alternative permalink for this blog entry.

  Returns:
    an absolute URL as a String

### setOriginalPermalink

    public void setOriginalPermalink(java.lang.String newPermalink)

  Sets the alternative permalink for this blog entry.

  Parameters:
    `newPermalink` - an absolute URL as a String

### getPermalink

    public java.lang.String getPermalink()

  Gets a permalink for this blog entry.

  Returns:
    an absolute URL as a String

### getLocalPermalink

    public abstract java.lang.String getLocalPermalink()

  Gets a permalink for this blog entry that is local to the blog. In other words, it doesn't take into account the original permalink for aggregated content.

  Returns:
    an absolute URL as a String

### getBlog

    public Blog getBlog()

  Helper method to get the owning Blog instance.

  Returns:
    the overall owning Blog instance

### toString

    public java.lang.String toString()

  Gets a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String

### isPersistent

    public boolean isPersistent()

### setPersistent

    public void setPersistent(boolean persistent)

### isPublished

    public boolean isPublished()

  Determines whether this content is published.

  Returns:
    true if the state is published, false otherwise

### isUnpublished

    public boolean isUnpublished()

  Determines whether this content is unpublished.

  Returns:
    true if the state is unpublished, false otherwise

### setPublished

    public void setPublished(boolean published)

  Sets the state of this content.

  Parameters:
    `published` - true if this content is published, false if unpublished

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.